The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

Exporting Cases

Cases can be found via a REST API.

Strategy

Use the following REST API call:

POST /v1/casebook HTTP/1.1
Host: api.senseye.io
Authorization: Bearer <token>
Content-Type: application/json

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "query",
  "params": {
    "open": true,
    "closed": true,
    "maxResults": 100,
    "offset": 0,
    "sortBy": "OPENED_ASC",
    "withEvidence": false,
    "excludeNodes": true,
    "inflateInsights": false
  }
}

This request retrieves the first page only. Repeat it with offset increased by the number of entries in result.results until the next offset reaches result.totalFound. See the API specification below.

Considerations

  • Organizations with a large number of assets may have a large number of cases